Subject: Re: [take32 0/10] kevent: Generic event handling mechanism.

From: Jeff Garzik <[email-masked]>
Date: Wed, 10 Jan 2007 06:11:26 -0500

Evgeniy Polyakov wrote:
> Generic event handling mechanism.
> 
> Kevent is a generic subsytem which allows to handle event notifications.
> It supports both level and edge triggered events. It is similar to
> poll/epoll in some cases, but it is more scalable, it is faster and
> allows to work with essentially eny kind of events.
> 
> Events are provided into kernel through control syscall and can be read
> back through ring buffer or using usual syscalls.
> Kevent update (i.e. readiness switching) happens directly from internals
> of the appropriate state machine of the underlying subsytem (like
> network, filesystem, timer or any other).
> 
> Homepage:
> http://tservice.net.ru/~s0mbre/old/?section=projects&item=kevent
> 
> Documentation page:
> http://linux-net.osdl.org/index.php/Kevent
> 
> Consider for inclusion.
> 
> With this release I start 3 days resending timeout - i.e. each third day 
> I will send either new version (if something new was requested and agreed 
> to be implemented) or resending with back counter started from three. When 
> back counter hits zero after three resendings I consider there is no interest 
> in subsystem and I will stop further sending. 
> 
> I really doubt it is a good way to tell the world about my work, and I bet you 
> all tired from those pathos words, but I really would like to get some feedback,
> since I want to start to work on network AIO, but sending mails into 
> unfeedbackable 'destination' really does not motivate me for that.
> 
> Thanks for understanding and your time.

Once the rate of change slows, Andrew should IMO definitely pick this up.

If you wanted to make this process automatic, create a git branch that 
Andrew and others can pull.

I like the direction so far, and think it should be in -mm for wider 
testing and review.

	Jeff